%global pypi_name propcache

Name:           python-%{pypi_name}
Version:        0.3.0
Release:        %mkrel 2
Summary:        Accelerated property cache
Group:          Development/Python
License:        PSF-2.0
URL:            https://pypi.org/project/propcache
Source0:        %{pypi_source}
BuildRequires:  python3-devel

%description
The module provides a fast implementation of cached properties for Python 3.9+.

%package -n python3-%{pypi_name}
Summary:        Accelerated property cache
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
The module provides a fast implementation of cached properties for Python 3.9+.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

sed -i -e 's/==/>=/g' -e 's/~=/>=/g' requirements/cython.txt packaging/pep517_backend/_backend.py

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 0.3.0-2.mga10
+ Revision: 2236989
- Mageia 10 Mass Rebuild

* Tue Feb 25 2025 wally <wally> 0.3.0-1.mga10
+ Revision: 2152318
- new version 0.3.0
- rebuild for python3.13

* Thu Nov 07 2024 wally <wally> 0.2.0-1.mga10
+ Revision: 2112883
- imported package python-propcache

